import request from '@/utils/request'

// 查询对外投资列表
export function listInvestment(query) {
  return request({
    url: '/basicData/xcrOverseasInvestment/findByPage',
    method: 'get',
    params: query
  })
}

// 查询对外投资详细
export function getInvestment(id) {
  return request({
    url: '/basicData/xcrOverseasInvestment/' + id,
    method: 'get'
  })
}

// 新增对外投资
export function addInvestment(data) {
  return request({
    url: '/basicData/xcrOverseasInvestment',
    method: 'post',
    data: data
  })
}

// 修改对外投资
export function updateInvestment(data) {
  return request({
    url: '/basicData/xcrOverseasInvestment',
    method: 'put',
    data: data
  })
}

// 删除对外投资
export function delInvestment(id) {
  return request({
    url: '/basicData/xcrOverseasInvestment/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInvestmentBatch(ids) {
  return request.post('/basicData/xcrOverseasInvestment/delete',ids)
}
